Subject: Re: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)

From: Leo Famulari <[email-masked]>
Date: Tue, 12 Mar 2019 15:31:56 -0400

On Tue, Mar 12, 2019 at 08:03:55AM +0100, Pierre Neidhardt wrote:
> We used to, but since Go 1.10 there is a bug in the compiler which keeps tracks
> of _all_ recursive dependencies in the resulting _static_ binary.  This can
> result in a ridiculously large closure size.

I am about to push a fix for this, probably to the staging branch. But I
think you should feel free to use the vendor tree for now and unbundle
things later.

> - In Go, it's possible to include multiple packages in the same repository.  Our
>   Go build system does not handle this very well and it's not possible to use
>   multiple such packages as dependencies: you need to create a union.  See
>   go-golang-org-x-crypto-union.

This becomes uneccesary with the work I am about to push.